Bug 1411134 - Removing rhgb From GRUB Command Line Hides LUKS Prompt
Summary: Removing rhgb From GRUB Command Line Hides LUKS Prompt
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 17:37 UTC by Bernie Hoefer
Modified: 2017-12-12 10:11 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:11:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Bernie Hoefer 2017-01-08 17:37:42 UTC
Description of problem:

I prefer to see the kernel boot messages as my machine is powering up.  So I remove the "rhgb quiet" options from the kernel line in /boot/grub/grub.cfg.

I discovered that on my Pentium M laptop if I do this, the boot just pauses after displaying:

  input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio4/serio5/input/input12

...with the mouse cursor blinking underneath it.  Hitting keys like Ctrl, Alt or Shift does not do anything.  However, typing a character (a-z, 0-9, etc.) causes the "Please enter passphrase for disk" prompt to suddenly appear.


Version-Release number of selected component (if applicable):

I'm not sure which component is responsible for prompting the user for the LUKS password upon boot-up.  This was a fresh Fedora 25 install; cryptsetup version is 1.7.2-3.fc25.i686.


Additional info:

Adding "rhgb" back to the kernel boot line causes the graphical LUKS password prompt to appear.

Also, this did not happen on my x86_64 virtual machine.  Removing "rhgb quiet" on it still allows the text passphrase prompt to appear.

Comment 1 Milan Broz 2017-01-08 18:09:25 UTC
Not sure who is responsible for the script processing rhgb quiet options, I guess it is dracut...

Comment 2 Bernie Hoefer 2017-01-08 19:53:24 UTC
Tried this again in a 32-bit Fedora KVM virtual guest.  Same thing, though it got a little further past the

  input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input3

...line than my physical machine did getting past its input line.

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-01-09 18:50:15 UTC
The prompt is printed by systemd (specifically, systemd-ask-password-console.service), but the output from the kernel and other services that print the console can sometimes obscure the prompt. This is most likely what happens in this case.

The work-around of pressing some keys seems to be the best option.

Comment 4 Bernie Hoefer 2017-01-09 21:58:03 UTC
Zbigniew Jędrzejewski-Szmek wrote on 2017-01-09 13:50:15 EST:
===
> but the output from the kernel and other services that
> print the console can sometimes obscure the prompt. This
> is most likely what happens in this case.
===

I do not believe that is what is happening in this case.  On my physical machine, after selecting the GRUB menu option, boot-up text starts to scroll down the monitor at a 80x25 character resolution.  The screen then clears and the resolution of the text becomes (I think) 160x120 characters.  The console & kernel output only goes down the screen about half-way.

I've seen instances of what you're talking about, before:  the "Please enter passphrase" prompt appears but then is followed by several lines of text, causing the user to wonder why the output has stopped.  The user eventually sees the prompt text a number of lines above where the output stopped and figures it out.

In this case, there is no prompt text, at all.

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-01-09 23:46:32 UTC
If this happens when the resolution is changed, then this sounds like a kernel tty bug. But it's unlikely to be ever fixed — nobody wants to touch this code, text boots are a minority, and a work-around exits...

Comment 6 Harald Hoyer 2017-01-30 09:57:32 UTC
yes, this is a systemd and kernel problem - not dracut

Comment 7 Fedora End Of Life 2017-11-16 19:15:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:11:13 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.